return helicopter( "Mi-8MT", _("Mi-8MTV2"),
    {
        Cannon = "yes",
        EmptyWeight = "8669", -- 8669=7200 + 1199 (+) + 270 ()
        LandRWCategories = 
        {
            [1] = 
            {
                Name = "AircraftCarrier",
            }, -- end of [1]
        }, -- end of LandRWCategories
        MaxFuelWeight = "1929", -- 2296
        MaxHeight = "5000",
        MaxSpeed = "250",
        MaxTakeOffWeight = "13000",
        Picture = "Mi-8MT.png",
        Rate = "30",
        Shape = "MI-8MT",
        TakeOffRWCategories = 
        {
            [1] = 
            {
                Name = "AircraftCarrier",
            }, -- end of [1]
        }, -- end of TakeOffRWCategories
        WorldID = 151,

		-- Countermeasures
		passivCounterm = {
			CMDS_Edit = true,
			ChaffNoEdit = true,
			SingleChargeTotal = 192,
			chaff = {default = 0, increment = 0, chargeSz = 0},
			flare = {default = 192, increment = 32, chargeSz = 1}
		},

        HardpointRacks_Edit = true,
        HardpointRacksWeight = 401,
        
        attribute = {wsType_Air, wsType_Helicopter, wsType_Battleplane, MI_8MT,
        "Attack helicopters",
        },
        Categories = {
        },
        CanopyGeometry = makeHelicopterCanopyGeometry(LOOK_GOOD, LOOK_AVERAGE, LOOK_BAD),
		
		HumanRadio = {
            editable = true,
			frequency = 127.5,
			minFrequency = 100,
			maxFrequency = 400,
			modulation = MODULATION_FM
		},
		panelRadio = {
			[1] = {  
				name = _("R-863"),
				range = {min = 100.0, max = 399.9},
				channels = {
					[1] = { name = _("Channel 1"),		default = 118.250, modulation = _("AM"), connect = true}, -- BLUE-4    MAGIC-1
					[2] = { name = _("Channel 2"),		default = 137.100, modulation = _("AM")},	-- XRMF GND
					[3] = { name = _("Channel 3"),		default = 137.175, modulation = _("AM")},	-- XRMF ATIS
					[4] = { name = _("Channel 4"),		default = 137.200, modulation = _("AM")},	-- XRMF TWR
					[5] = { name = _("Channel 5"),		default = 137.300, modulation = _("AM")},	-- XRMF APPR
					[6] = { name = _("Channel 6"),		default = 134.100, modulation = _("AM")},	-- UGKO GND
					[7] = { name = _("Channel 7"),		default = 134.175, modulation = _("AM")},	-- UGKO ATIS
					[8] = { name = _("Channel 8"),		default = 134.200, modulation = _("AM")},	-- UGKO TWR
					[9] = { name = _("Channel 9"),		default = 134.300, modulation = _("AM")},	-- UGKO APPR
					[10] = { name = _("Channel 10"),	default = 140.100, modulation = _("AM")},	-- UG27 GND
					[11] = { name = _("Channel 11"),	default = 140.175, modulation = _("AM")},	-- UG27 ATIS
					[12] = { name = _("Channel 12"),	default = 140.200, modulation = _("AM")},	-- UG27 TWR
					[13] = { name = _("Channel 13"),	default = 140.300, modulation = _("AM")},	-- UG27 APPR/TMA
					[14] = { name = _("Channel 14"),	default = 147.500, modulation = _("AM")},	-- BROWN-5   VIKING-1
					[15] = { name = _("Channel 15"),	default = 135.775, modulation = _("AM")},	-- BLACK-2   DAEMON-1
					[16] = { name = _("Channel 16"),	default = 119.100, modulation = _("AM")},	-- BROWN-4   KNIFE-1
					[17] = { name = _("Channel 17"),	default = 122.275, modulation = _("AM")},	-- BLACK-7   DIESEL-1
					[18] = { name = _("Channel 18"),	default = 118.875, modulation = _("AM")},	-- BLUE-1    PANTHER-1
					[19] = { name = _("Channel 19"),	default = 121.500, modulation = _("AM")},	-- BLACK-1   GARDE N/OSSETIE
					[20] = { name = _("Channel 20"),	default = 140.800, modulation = _("AM")},   -- BROWN-2   GARDE S/OSSETIE + GEORGIE
				}
			},--[1]
			[2] = {  
				name = _("R-828"),
				range = {min = 20.0, max = 59.9},
				channels = {
					[1] = { name = _("Channel 1"),		default = 31.100, modulation = _("FM")}, -- YELLOW 1
					[2] = { name = _("Channel 2"),		default = 33.250, modulation = _("FM")}, -- WHITE 3
					[3] = { name = _("Channel 3"),		default = 39.350, modulation = _("FM")}, -- YELLOW 6
					[4] = { name = _("Channel 4"),		default = 40.775, modulation = _("FM")}, -- YELLOW 4
					[5] = { name = _("Channel 5"),		default = 12.500, modulation = _("FM")}, -- WHITE 2
					[6] = { name = _("Channel 6"),		default = 46.000, modulation = _("FM")}, -- WHITE 5
					[7] = { name = _("Channel 7"),		default = 48.100, modulation = _("FM")}, -- YELLOW 3
					[8] = { name = _("Channel 8"),		default = 49.825, modulation = _("FM")}, -- WHITE 4
					[9] = { name = _("Channel 9"),		default = 50.125, modulation = _("FM")}, -- WHITE 8
					[10] = { name = _("Channel 10"),	default = 56.350, modulation = _("FM")}, -- WHITE 5
				}
			},--[2]
		},
		AddPropAircraft = {
			{ id = "ExhaustScreen" , control = 'checkbox', label = _('Exhaust Dispenser'), defValue = true, weight = 160},
			{ id = "LeftEngineResource", control = 'slider', label = _('Left Engine Resource'), defValue = 90, min = 40, max = 100, dimension = '%',playerOnly = true},
			{ id = "RightEngineResource", control = 'slider', label = _('Right Engine Resource'), defValue = 90, min = 40, max = 100, dimension = '%',playerOnly = true},
			{ id = "AdditionalArmor" , control = 'checkbox', label = _('Additional Armor'), defValue = true, weight = 419},
		},
		--[[
		AddPropAircraft = {
			{ id = 'testOpt1'	, control = 'spinbox',	  label = _('test1'), defValue = 11, min = 10, max = 900, dimension = _('m')},
			{ id = 'testOpt2'	, control = 'checkbox'	, label = _('test2'), defValue = false },
			{ id = 'testOpt3'	, control = 'slider'	, label = _('test3'), defValue = 22, min = 15, max = 880, dimension = '%'},
			{ id = 'testOpt117' , control = 'comboList'	, label = _('test4'), defValue = 1,
				values = {
				{ id = 0, dispName = _("256")},
				{ id = 1, dispName = _("512")},
				{ id = 2, dispName = _("1024")},
				{ id = 3, dispName = _("2048")},
				{ id = 4, dispName = _("4096")},
				},
			dimension = '%',
			},
			{ id = 'testOpt9' , control = 'slider'  , label = _('test3'), defValue = 22, min = 0, max = 100, dimension = '%'},
			{ id = 'testOpt10', control = 'spinbox' , label = _('test1'), defValue = 11, min = 0, max = 100, dimension = _('m')},
			{ id = 'testOpt11', control = 'checkbox', label = _('test2'), defValue = false},
		},
		--]]
		Failures = {
			{ id = 'LeftEngine_ShaveInOil',				label = _('Left Engine: shave in oil'), 			enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'RightEngine_ShaveInOil',			label = _('Right Engine: shave in oil'), 			enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'MainReductor_ShaveInOil',			label = _('Main Reductor: shave in oil'), 			enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'TransitionalReductor_ShaveInOil',	label = _('Transitional Reductor: shave in oil'), 	enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'TailReductor_ShaveInOil',			label = _('Tail Reductor: shave in oil'), 			enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },

			{ id = 'hydro_main',		label = _('Hydro: main'), 		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
            
--			{ id = 'es_damage_DMR',				label = _('Electric: DMR'),				enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
--			{ id = 'es_damage_VU1',				label = _('Electric: VU1'),				enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
--			{ id = 'es_damage_VU2',				label = _('Electric: VU2'),				enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
--			{ id = 'es_damage_VU3',				label = _('Electric: VU3'),				enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'es_damage_GeneratorLeft',	label = _('Electric: left Generator'),	enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'es_damage_GeneratorRight',	label = _('Electric: right Generator'),	enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },

			{ id = 'SAR_1_2_95',				label = _('Engines: RPM regulator failure'),	enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'SAR_1_101',					label = _('Left Engine: SAR 1 Failure'),		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'SAR_1_95',					label = _('Left Engine: SAR 2 Failure'),		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'SAR_2_101',					label = _('Right Engine: SAR 1 Failure'),		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'SAR_2_95',					label = _('Right Engine: SAR 2 Failure'),		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'Surge_LeftEngine',			label = _('Left Engine: Surge'),		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'Surge_RightEngine',			label = _('Right Engine: Surge'),		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'Failure_LeftEngine',		label = _('Left Engine: Failure'),		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'Failure_RightEngine',		label = _('Right Engine: Failure'),		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'EEC_Failure_LeftEngine',	label = _('Left Engine: ERD Failure'),	enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'EEC_Failure_RightEngine',	label = _('Right Engine: ERD Failure'),	enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'LeftEngine_LowOilPressure',	label = _('Left Engine: Oil Leak'),		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'RightEngine_LowOilPressure',label = _('Right Engine: Oil Leak'),	enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'MainReductor_LowOilPressure', label = _('Main Reductor: Oil Leak'),	enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			
			{ id = 'APU_Fire',			label = _('Main Reductor Fire'),	enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'LeftEngine_Fire',	label = _('Left Engine Fire'),		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'RightEngine_Fire',	label = _('Right Engine Fire'),		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },

			{ id = 'fuel_sys_transfer_pumps',		label = _('Fuel Pumps Failure'),		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'fuel_sys_left_transfer_pump',	label = _('Left Fuel Pump Failure'),	enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'fuel_sys_right_transfer_pump',	label = _('Right Fuel Pump Failure'),	enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			
			{id = 'RADAR_ALT_TOTAL_FAILURE', 	label = _("Radar Altimeter failure"), enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{id = 'JADRO_1A_FAILURE_TOTAL', 	label = _("Jadro-1A failure"), enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
		},
        mapclasskey = "P0091000020",
		sounderName = "Aircraft/Helicopters/Mi-8MT",
		InternalCargo = {
			nominalCapacity = 2400,
			maximalCapacity = 5000
		},
    },
    {
	    pylon(1, 0, 0.4, -0.95, -3.26,
            {
                use_full_connector_position = true,
            },
            {
			
				{ CLSID = "B_8V20A_CM" },
				{ CLSID = "B_8V20A_OM" },
    			{ CLSID = "B_8V20A_OFP2" },
                { CLSID = "{6A4B9E69-64FE-439a-9163-3A87FB6A4D81}" },
			
				{ CLSID = "{FB3CE165-BF07-4979-887C-92B87F13276B}" },
                { CLSID = "{0511E528-EA28-4caf-A212-00D1408DF10A}" },
				{ CLSID = "{3C612111-C7AD-476E-8A8E-2485812F4E5C}" },
				{ CLSID = "GUV_VOG"},
            }
        ),
        pylon(2, 0, 0.4, -0.95, -2.75,
            {
				use_full_connector_position = true,
            },
            {
				{ CLSID = "B_8V20A_CM" },
				{ CLSID = "B_8V20A_OM" },
    			{ CLSID = "B_8V20A_OFP2" },
                { CLSID = "{05544F1A-C39C-466b-BC37-5BD1D52E57BB}" },
                { CLSID = "{6A4B9E69-64FE-439a-9163-3A87FB6A4D81}" },
				{ CLSID = "{3C612111-C7AD-476E-8A8E-2485812F4E5C}" },
				{ CLSID = "{37DCC01E-9E02-432F-B61D-10C166CA2798}" },
				{ CLSID = "GUV_YakB_GSHP"},
				{ CLSID = "GUV_VOG"},
                { CLSID = "{FB3CE165-BF07-4979-887C-92B87F13276B}" },
                { CLSID = "{0511E528-EA28-4caf-A212-00D1408DF10A}" },
            }
        ),
        pylon(3, 0, 0.4, -0.95, -2.165,
            {
				use_full_connector_position = true,
            },
            {
				{ CLSID = "B_8V20A_CM" },
				{ CLSID = "B_8V20A_OM" },
    			{ CLSID = "B_8V20A_OFP2" },
                { CLSID = "{6A4B9E69-64FE-439a-9163-3A87FB6A4D81}" },
				{ CLSID = "{3C612111-C7AD-476E-8A8E-2485812F4E5C}" },
				{ CLSID = "{FB3CE165-BF07-4979-887C-92B87F13276B}" },
                { CLSID = "{0511E528-EA28-4caf-A212-00D1408DF10A}" },
            }
        ),
        pylon(4, 0, 0.4, -0.95, 2.16,
            {
				use_full_connector_position = true,
            },
            {
				{ CLSID = "B_8V20A_CM" },
				{ CLSID = "B_8V20A_OM" },
    			{ CLSID = "B_8V20A_OFP2" },
                { CLSID = "{6A4B9E69-64FE-439a-9163-3A87FB6A4D81}" },
				{ CLSID = "{3C612111-C7AD-476E-8A8E-2485812F4E5C}" },
				{ CLSID = "{FB3CE165-BF07-4979-887C-92B87F13276B}" },
                { CLSID = "{0511E528-EA28-4caf-A212-00D1408DF10A}" },
            }
        ),
        pylon(5, 0, 0.4, -0.95, 2.76,
            {
				use_full_connector_position = true,
            },
            {
    			{ CLSID = "B_8V20A_CM" },
				{ CLSID = "B_8V20A_OM" },
    			{ CLSID = "B_8V20A_OFP2" },
                { CLSID = "{05544F1A-C39C-466b-BC37-5BD1D52E57BB}" },
                { CLSID = "{6A4B9E69-64FE-439a-9163-3A87FB6A4D81}" },
				{ CLSID = "{3C612111-C7AD-476E-8A8E-2485812F4E5C}" },
				{ CLSID = "{37DCC01E-9E02-432F-B61D-10C166CA2798}" },
				{ CLSID = "GUV_YakB_GSHP" },
				{ CLSID = "GUV_VOG" },
				{ CLSID = "{FB3CE165-BF07-4979-887C-92B87F13276B}" },
                { CLSID = "{0511E528-EA28-4caf-A212-00D1408DF10A}" },
            }
        ),
        pylon(6, 0, 0.4, -0.95, 3.26,
            {
				use_full_connector_position = true,
            },
            {
				{ CLSID = "B_8V20A_CM" },
				{ CLSID = "B_8V20A_OM" },
    			{ CLSID = "B_8V20A_OFP2" },
                { CLSID = "{6A4B9E69-64FE-439a-9163-3A87FB6A4D81}" },

				{ CLSID = "{FB3CE165-BF07-4979-887C-92B87F13276B}" },
                { CLSID = "{0511E528-EA28-4caf-A212-00D1408DF10A}" },
				{ CLSID = "{3C612111-C7AD-476E-8A8E-2485812F4E5C}" },
				{ CLSID = "GUV_VOG" },
            }
        ),
    },
    {
        aircraft_task(CAS),
        aircraft_task(GroundAttack),
        aircraft_task(Transport),
        aircraft_task(AFAC),
        aircraft_task(AntishipStrike)
    },
	aircraft_task(Transport)
);